SPI_WRITE(9)

NAME
spi_write - SPI synchronous write

SYNOPSIS

int spi_write(struct spi_device * spi, const void * buf, size_t len);

ARGUMENTS

spi
    device to which data will be written

buf
    data buffer

len
    data buffer size

CONTEXT

can sleep

DESCRIPTION

This writes the buffer and returns zero or a negative error code. Callable only from contexts that can sleep.

COPYRIGHT